<link rel="stylesheet" href="app/components/addPrice/addPrice.css">

<div id="addPrice">
	<div ng-include="'app/components/addPrice/modals/barcodeQueryModal.html'"></div>
	<div ng-include="'app/components/addPrice/modals/addSuccessModal.html'"></div>
	<form name="addPriceForm">
		<div class="text-center" style="margin-bottom:10px;">
			<button type="button" class="btn btn-danger" ng-click="cancel()" ng-show="disable.scan">Ακύρωση</button>
		</div>
		<div id="scandit-barcode-picker" style="min-width 100%; margin-bottom: 10px"></div>
		<span style="color: red">
			Τα πεδία με αστερίσκο (*) είναι απαραίτητα για την προσθήκη νέου προϊόντος
		</span>
		<table class="table">
			<tbody>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Barcode</div>
						<div class="col-m" style="--per: 60%">
							<input type="number" min="100000000000" max="9999999999999" name="barcode" ng-model="newPrice.barcode" ng-blur="barcodeQuery()">
							<span class="input-error" ng-show="addPriceForm.barcode.$invalid && !disable.message">Το barcode είναι ένας αριθμός με 13 ψηφία (μπορεί να έχει 0 στην αρχή)</span><br>
							<button type="button" class="btn btn-info" ng-click="scan()" ng-hide="disable.scan">Σκάναρε barcode</button><br>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%"> Όνομα Προϊόντος (*)</div>
						<div class="col-m" style="--per: 60%">
							<input list="pnames" name="productName" type="text" ng-model="newPrice.productName" ng-blur="checkpName()" required><br>
							<datalist id="pnames">
								<option ng-repeat="x in products" value="{{x.name}}">
							</datalist><br>
							<!--
							<span class="input-error" ng-show="addPriceForm.productId.$invalid && addPriceForm.productId.$dirty"></span><br>
							-->
							<span class="input-error" ng-show="pNameError"> Πρέπει να διαλέξετε προϊόν από τη λίστα</span>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%"> Όνομα Καταστήματος (*)</div>
						<div class="col-m" style="--per: 60%">
							<input list="names" name="shopName" type="text" ng-model="newPrice.shopName" ng-blur="checkName()" required><br>
							<datalist id="names">
								<option ng-repeat="x in shops" value="{{x.name}}">
							</datalist><br>
							<!--
							<span class="input-error" ng-show="addPriceForm.shopId.$invalid && addPriceForm.shopId.$dirty"></span><br>
							-->
							<div ng-show="nameError">
								<span class="input-error">Πρέπει να διαλέξετε κατάστημα από τη λίστα</span><br>
								<span>Δεν υπάρχει στη λίστα; Παρακαλώ προσθέστε το από το Μενού > Νέο Κατάστημα</span>
								<!-- <span class="btn btn-info" ng-click"addShop()">Προσθήκη</span> -->
							</div>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Τιμή</div>
						<div class="col-m" style="--per: 60%"><input type="number" step="0.01" ng-model="newPrice.price" required> </div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Ημερομηνία Από</div>
						<div class="col-m" style="--per: 60%">
							<input id="date" type="date" ng-model="newPrice.dateFrom"><br>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Ημερομηνία Έως</div>
						<div class="col-m" style="--per: 60%">
							<input id="date" type="date" ng-model="newPrice.dateTo" ><br>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%"><button type="reset" class="btn btn-warning" ng-click="reset()">Καθαρισμός δεδομένων</div>
						<div class="col-m" style="--per: 60%;"><button type="submit" class="btn btn-success" ng-click="submit()" ng-disabled="addPriceForm.$invalid || (nameError)">Προσθήκη</button></div>
					</td>
				</tr>
			</tbody>
		</table>
	</form>
</div>

